Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

version bump

  • Loading branch information...
commit 9d229f49f5dbf2d5dfe213a21b920bdbe562b633 1 parent 36e9f7c
@emonti authored
Showing with 9 additions and 5 deletions.
  1. +4 −0 History.txt
  2. +1 −1  lib/rbkb.rb
  3. +4 −4 rbkb.gemspec
View
4 History.txt
@@ -1,3 +1,7 @@
+== 0.6.14 / 2010-11-29
+ * Minor fixes to cli offset and integer hexification formatting
+ * Unit tests got some more love for ruby 1.9 unit test compatability
+
== 0.6.13 / 2009-10-15
* got strings working using scan() in 1.9 had to punt ':align' option for now
* Added -S (starttls) arg. to blit for initiating SSL on a plug peer
View
2  lib/rbkb.rb
@@ -2,7 +2,7 @@
module Rbkb
# :stopdoc:
- VERSION = '0.6.13'
+ VERSION = '0.6.14'
LIBPATH = ::File.expand_path(::File.dirname(__FILE__)) + ::File::SEPARATOR
PATH = ::File.dirname(LIBPATH) + ::File::SEPARATOR
# :startdoc:
View
8 rbkb.gemspec
@@ -2,11 +2,11 @@
Gem::Specification.new do |s|
s.name = %q{rbkb}
- s.version = "0.6.13"
+ s.version = "0.6.14"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Eric Monti"]
- s.date = %q{2010-09-21}
+ s.date = %q{2010-11-29}
s.description = %q{Rbkb is a collection of ruby-based pen-testing and reversing tools. Inspired by Matasano Blackbag.}
s.email = %q{emonti@matasano.com}
s.executables = ["b64", "bgrep", "blit", "c", "crc32", "d64", "dedump", "feed", "hexify", "len", "plugsrv", "rex", "rstrings", "slice", "telson", "unhexify", "urldec", "urlenc", "xor"]
@@ -16,7 +16,7 @@ Gem::Specification.new do |s|
s.rdoc_options = ["--line-numbers", "--main", "README.rdoc"]
s.require_paths = ["lib"]
s.rubyforge_project = %q{rbkb}
- s.rubygems_version = %q{1.3.6}
+ s.rubygems_version = %q{1.3.7}
s.summary = %q{Rbkb is a collection of ruby-based pen-testing and reversing tools}
s.test_files = ["test/test_cli_b64.rb", "test/test_cli_bgrep.rb", "test/test_cli_blit.rb", "test/test_cli_chars.rb", "test/test_cli_crc32.rb", "test/test_cli_d64.rb", "test/test_cli_dedump.rb", "test/test_cli_feed.rb", "test/test_cli_helper.rb", "test/test_cli_hexify.rb", "test/test_cli_len.rb", "test/test_cli_rstrings.rb", "test/test_cli_slice.rb", "test/test_cli_telson.rb", "test/test_cli_unhexify.rb", "test/test_cli_urldec.rb", "test/test_cli_urlenc.rb", "test/test_cli_xor.rb", "test/test_helper.rb", "test/test_rbkb.rb"]
@@ -24,7 +24,7 @@ Gem::Specification.new do |s|
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
- if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<eventmachine>, [">= 0.12.8"])
else
s.add_dependency(%q<eventmachine>, [">= 0.12.8"])
Please sign in to comment.
Something went wrong with that request. Please try again.